View Issue Details

IDProjectCategoryView StatusLast Update
0002053Ham Radio DeluxeMaintenancepublic2017-07-09 19:00
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0002053: Cleanup: remove Changlist viewer/editor
DescriptionThere's a weird "changelist" viewer and editor in the code, accessible by a back door only if the user is named "HB9DRV" This code seems to be hidden because of a pushbutton in the about box being marked "hidden" in the resource for the dialog box.

This isn't how we're managing change lists going forward. This code is dead, and otherwise unreachable, and it should be removed.

TagsNo tags attached.
ModuleRig Control
Sub-ModuleGeneral
Testing N/A

Relationships

Activities

WA9PIE

2017-06-28 09:25

administrator   ~0003357

I'm marking these resolved. They're part of the dev cycle and not something that beta testers can test. If the developer has satisfied the profiler and warnings on them... or accomplished what he set out to do, they're done.

WA9PIE

2017-06-28 10:18

administrator   ~0003377

Bouncing these back to Assigned... I jumped the gun.

K7ZCZ

2017-06-28 23:46

manager   ~0003403

Fixed in checkin 3542.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3542

This is a dev cleanup issue, so no real testing.

K7ZCZ

2017-06-30 19:33

manager   ~0003441

Dev cleanup issue, no user validation is possible.

WA9PIE

2017-07-04 23:30

administrator   ~0003467

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003502

Waiting to close them until a final item is tested.

WA9PIE

2017-07-05 19:39

administrator   ~0003574

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2017-06-21 10:12 K7ZCZ New Issue
2017-06-28 09:25 WA9PIE Note Added: 0003357
2017-06-28 09:25 WA9PIE Status new => resolved
2017-06-28 09:25 WA9PIE Fixed in Version => 6.4.0.654
2017-06-28 09:25 WA9PIE Resolution open => fixed
2017-06-28 09:25 WA9PIE Assigned To => WA9PIE
2017-06-28 09:26 WA9PIE Testing => N/A
2017-06-28 10:18 WA9PIE Status resolved => assigned
2017-06-28 10:18 WA9PIE Note Added: 0003377
2017-06-28 10:22 WA9PIE Resolution fixed => open
2017-06-28 10:22 WA9PIE Description Updated View Revisions
2017-06-28 10:26 WA9PIE Fixed in Version 6.4.0.654 =>
2017-06-28 14:17 WA9PIE Assigned To WA9PIE => K7ZCZ
2017-06-28 23:46 K7ZCZ Status assigned => resolved
2017-06-28 23:46 K7ZCZ Resolution open => fixed
2017-06-28 23:46 K7ZCZ Note Added: 0003403
2017-06-30 19:33 K7ZCZ Status resolved => closed
2017-06-30 19:33 K7ZCZ Note Added: 0003441
2017-07-01 11:30 WA9PIE Fixed in Version => 6.4.0.657
2017-07-01 11:31 WA9PIE Status closed => resolved
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003467
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003502
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003574
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 19:00 WA9PIE Testing => N/A